<div class="mat-elevation-z4 overflow-x">
  <mat-list>
    <div *ngIf="(messagesReceived$ | async) as messagesReceived; else loading">
      <ng-container *ngIf="messagesReceived.length; else noMessages">
        <mat-list-item *ngFor="let message of messagesReceived">
          <mat-icon mat-list-icon>mail</mat-icon>
          <h4 mat-line>Temat: {{message?.topic}}</h4>
          <p mat-line>Nadawca: {{message?.createdBy?.data?.firstName}} {{message?.createdBy?.data?.lastName}}</p>
          <p mat-line>{{message?.text}}</p>
          <p mat-line> {{message?.createdAt | date: 'd/MM/yyyy, h:mm'}} </p>
        </mat-list-item>
      </ng-container>
      <ng-template #noMessages>Nie otrzymałeś jeszcze żadnych wiadomości.</ng-template>
    </div>
    <ng-template #loading>Ładowanie danych...</ng-template>
  </mat-list>
</div>

